using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using UnityEngine.UI;

public class WomboComboShower : MonoBehaviour
{


    static WomboComboShower _instance;

    public static WomboComboShower instance
    {
        get
        {
            return _instance;
        }
    }



    public Animator animator;
    public Text wombotext;

    void Start()
    {
        _instance = this;
    }

    public void ShowCombo(int comboCount)
    {
        var textToShow = "Perfect Hit! ";
            textToShow += "COMBO " + comboCount;
        wombotext.text = textToShow;
        animator.Play("wombo_combo", -1, 0);
    }


    public void ShowMiss()
    {
        //string textToShow = "Miss";
        //wombotext.text = textToShow;
        //  animator.Play("wombo_combo", -1, 0);
    }

    public void ShowGreetingsComplete()
    {
        string textToShow = "Nice!!~";
        wombotext.text = textToShow;
        animator.Play("wombo_combo", -1, 0);
    }

    public void ShowHitPercent(float hitPercent)
    {
        string textToShow = "Hit " + Convert.ToInt32(hitPercent * 100) + "%";
        wombotext.text = textToShow;
        animator.Play("wombo_combo", -1, 0);
    }


}
